Holger's Java API

## com.antelmann.math
Class Permutation

    java.lang.Object
      com.antelmann.math.Permutation

All Implemented Interfaces:
  Enumeration<int[]>

    public class Permutation

extends Object
implements Enumeration<int[]>

derived from public domain sources (http://www.merriampark.com/perm.htm)

Author:
  Holger Antelmann

Constructor Summary
`Permutation(int n)`

Method Summary
`int[]` `currentElement()`
`BigInteger` `getTotal()`
`boolean` `hasMoreElements()`
`int[]` `nextElement()` returns always the same array, so DO NOT alter the content of this array
`BigInteger` `permutationsLeft()`
`void` `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Permutation

    public Permutation(int n)

Method Detail

### reset

    public void reset()

### permutationsLeft

    public BigInteger permutationsLeft()

### getTotal

    public BigInteger getTotal()

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `Enumeration<int[]>`

### currentElement

    public int[] currentElement()

### nextElement

    public int[] nextElement()

  returns always the same array, so DO NOT alter the content of this array

  Specified by:
    `nextElement` in interface `Enumeration<int[]>`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads